# GAMESS-UK NO2 doublet unrestricted DFT (BLYP) single point energy

from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

# default functional is 'blyp'
gamess = GAMESS_UK(frag=no2, method="dft", basis="3-21g", scftype="uhf", mult=2)

sp = SP(theory=gamess, gradients=True)
sp.run()

ecalc = sp.result.energy

# Test result from Tcl-ChemShell
eref = -203.89412844

testutils.validate(ecalc, eref)
